moeoObjectiveVectorDouble(3)

NAME
moeoObjectiveVectorDouble - This class allows to represent a solution in the objective space (phenotypic representation) by a std::vector of doubles, i.e.

SYNOPSIS

#include <moeoObjectiveVector.h>

Inherits moeoObjectiveVector< ObjectiveVectorTraits >< ObjectiveVectorTraits >.

  Public Member Functions
moeoObjectiveVectorDouble ()
Ctor.
moeoObjectiveVectorDouble (std::vector< double > &_v)
Ctor from a vector of doubles.
bool dominates (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector dominates _other according to the Pareto dominance relation (but it's better to use a moeoObjectiveVectorComparator object to compare solutions).
bool operator== (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is equal to _other (according to a tolerance value).
bool operator!= (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is different than _other (according to a tolerance value).
bool operator< (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is smaller than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).
bool operator> (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is greater than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).
bool operator<= (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is smaller than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).
bool operator>= (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > &_other) const
Returns true if the current objective vector is greater than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Detailed Description

  template<class ObjectiveVectorTraits> class moeoObjectiveVectorDouble< ObjectiveVectorTraits >
This class allows to represent a solution in the objective space (phenotypic representation) by a std::vector of doubles, i.e. that an objective value is represented using a double, and this for any objective.

Definition at line 81 of file moeoObjectiveVector.h.

Constructor & Destructor Documentation

  template<class ObjectiveVectorTraits> moeoObjectiveVectorDouble< ObjectiveVectorTraits >::moeoObjectiveVectorDouble (std::vector< double > & _v) [inline]

Ctor from a vector of doubles.

Parameters:
    _v the std::vector < double >

Definition at line 98 of file moeoObjectiveVector.h.

Member Function Documentation

  template<class ObjectiveVectorTraits> bool moeoObjectiveVectorDouble< ObjectiveVectorTraits >::dominates (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector dominates _other according to the Pareto dominance relation (but it's better to use a moeoObjectiveVectorComparator object to compare solutions).

Parameters:
    _other the other moeoObjectiveVectorDouble object to compare with

Definition at line 106 of file moeoObjectiveVector.h.

  template<class ObjectiveVectorTraits> bool moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator== (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is equal to _other (according to a tolerance value).

Parameters:
    _other the other moeoObjectiveVectorDouble object to compare with

Definition at line 117 of file moeoObjectiveVector.h.

Referenced by moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator!=(), and moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator>=().

  template<class ObjectiveVectorTraits> bool moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator!= (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is different than _other (according to a tolerance value).

Parameters:
    _other the other moeoObjectiveVectorDouble object to compare with

Definition at line 134 of file moeoObjectiveVector.h.

References moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator==().

  template<class ObjectiveVectorTraits> bool moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator< (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is smaller than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoObjectiveVectorDouble object to compare with

Definition at line 145 of file moeoObjectiveVector.h.

Referenced by moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator<=().

  template<class ObjectiveVectorTraits> bool moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator> (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is greater than _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoObjectiveVectorDouble object to compare with

Definition at line 170 of file moeoObjectiveVector.h.

Referenced by moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator>=().

  template<class ObjectiveVectorTraits> bool moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator<= (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is smaller than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoObjectiveVectorDouble object to compare with

Definition at line 181 of file moeoObjectiveVector.h.

References moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator<().

  template<class ObjectiveVectorTraits> bool moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator>= (const moeoObjectiveVectorDouble< ObjectiveVectorTraits > & _other) const [inline]

Returns true if the current objective vector is greater than or equal to _other on the first objective, then on the second, and so on (can be usefull for sorting/printing).

Parameters:
    _other the other moeoObjectiveVectorDouble object to compare with

Definition at line 192 of file moeoObjectiveVector.h.

References moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator==(), and moeoObjectiveVectorDouble< ObjectiveVectorTraits >::operator>().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.